Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel.helpers
Class XSSFRowShifter

    java.lang.Object
      org.apache.poi.xssf.usermodel.helpers.XSSFRowShifter

    public final class XSSFRowShifter

extends java.lang.Object

Author:
  Yegor Kozlov

Constructor Summary
`XSSFRowShifter(XSSFSheet sh)`

Method Summary
`java.util.List` | `shiftMerged(int startRow, int endRow, int n)` Shift merged regions
`void` | `updateConditionalFormatting(org.apache.poi.ss.formula.FormulaShifter shifter)`
`void` | `updateFormulas(org.apache.poi.ss.formula.FormulaShifter shifter)` Update formulas.
`void` | `updateNamedRanges(org.apache.poi.ss.formula.FormulaShifter shifter)` Updated named ranges

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFRowShifter

    public XSSFRowShifter(XSSFSheet sh)

Method Detail

### shiftMerged

    public java.util.List shiftMerged(int startRow,
                                      int endRow,
                                      int n)

  Shift merged regions

  Parameters:
    `startRow` - the row to start shifting
    `endRow` - the row to end shifting
    `n` - the number of rows to shift
  Returns:
    an array of affected cell regions

### updateNamedRanges

    public void updateNamedRanges(org.apache.poi.ss.formula.FormulaShifter shifter)

  Updated named ranges

### updateFormulas

    public void updateFormulas(org.apache.poi.ss.formula.FormulaShifter shifter)

  Update formulas.

### updateConditionalFormatting

    public void updateConditionalFormatting(org.apache.poi.ss.formula.FormulaShifter shifter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD